%define name xmms-spc
%define oname spcxmms
%define version 0.2.1
%define release %mkrel 7
%define distsuffix plf

Name:          %{name}
Version:       %{version}
Release:       %{release}
Summary:       XMMS plugin that plays SNES audio files
Source0:       %{oname}-%{version}.tar.bz2
License:       GPL
Group:         Sound
BuildRoot:     %{_tmppath}/%{name}-buildroot
URL:           http://www.self-core.org/~kaoru-k/
Requires:      xmms >= 1.0.1
BuildRequires: gtk+-devel
BuildRequires: xmms-devel >= 1.0.1
Provides:      spcxmms
Obsoletes:     spcxmms

%description
spcxmms is a xmms plugin that plays SPC (SNES Sound File) file. The
source of Snes9X 1.29 is used for the sound engine.

This package is in PLF, as console emulation isn't allowed in Mandriva Linux.
%prep
%setup -q -n %oname-%version

%build
%define __libtoolize true
%configure
%make CCLD=g++

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=$RPM_BUILD_ROOT%{_libdir}/xmms/Input
rm -f %buildroot%_libdir/xmms/Input/libspc.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%_bindir/spcplay
%{_libdir}/xmms/Input/libspc.so

%changelog
* Thu Apr 12 2007 Gtz Waschk <goetz@zarb.org> 0.2.1-7plf2007.1
- rebuild

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 0.2.1-6plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.2.1-5plf
- fix description

* Tue Jun  3 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.1-4plf
- update file list
- fix build

* Fri Apr 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.1-3plf
- BuildRequires

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 0.2.1-2plf 
- new plf extension
- fixed installation

* Sun Nov 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- renamed to xmms-spc
- add packager tag

* Mon Nov 12 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- initial package
